# $Id$

%define name		javamake
%define Name		JavaMake
%define version		1.3.1
%define ant_version	1.5
%define ant_tversion	15
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		non-free
%define set_jvm		[ -f %{_bindir}/java-functions ] && . %{_bindir}/java-functions; set_jvm; export PATH=$PATH:$JAVA_HOME/bin

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		A Make Tool for the Java Language
License:		Sun Binary Code License
Url:			http://www.experimentalstuff.com/Technologies/%{Name}/
Source0:		http://www.experimentalstuff.com/data/%{Name}-ant%{ant_tversion}.zip
Source1:		http://www.experimentalstuff.com/data/%{name}.jar
Source2:		http://www.experimentalstuff.com/data/%{name}-api.zip
Source3:		http://www.experimentalstuff.com/data/%{name}-doc.zip
NoSource:		1
NoSource:		2
NoSource:		3
Group:			Development/Compilers
Vendor:			JPackage Project
Distribution:		JPackage
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Provides:		%{name}-ant = {ant_version}

%description
This tool's functionality is analogous to the "smart checking" feature
of Borland JBuilder or the dependency analysis feature of IBM Jikes.
However, it is a command line tool that is not tied to any IDE, can be
used with any Java compiler, and can run as a task in the popular Ant
make system.

%package ant
Summary:		Ant task for %{name}
Group:			Development/Compilers
Requires:		%{name} = %{version}-%{release}
Requires:		ant >= %{ant_version}
BuildRequires:		ant >= %{ant_version}

%description ant
Ant task for %{name}.

%package manual
Summary:		Manual for %{name}
Group:			Development/Compilers

%description manual
Documentation for %{name}.

%package javadoc
Summary:		Javadoc for %{name}
Group:			Development/Compilers

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c

%build
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && ln -sf %{name}-%{version}.jar %{name}.jar)
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
%set_jvm
install -d -m 755 com/sun/tools/%{name}/ant.jar
install -m 644 %{Name}.java com/sun/tools/%{name}/ant
rm -f %{Name}.java
export CLASSPATH=%{SOURCE1}:%{javadir}/ant
(cd com/sun/tools/%{name}/ant && javac %{Name}.java)
jar cf %{name}-ant-%{ant_version}.jar com
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 %{name}-ant-%{ant_version}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-ant-%{ant_version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && ln -sf %{name}-ant-%{ant_version}.jar %{name}-ant.jar)
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{ant_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{ant_version}||g"`; done)

%install
# javadoc
install -d -m 755 docs/javadocs
unzip %{SOURCE2} -d docs/javadocs
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/javadocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
rm -rf docs/javadocs
# manual
install -d -m 755 docs/manual
unzip %{SOURCE3} -d docs/manual

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{javadir}/%{name}.jar
%{javadir}/%{name}-%{version}.jar

%files ant
%defattr(-,root,root)
%{javadir}/%{name}-ant.jar
%{javadir}/%{name}-ant-%{ant_version}.jar

%files manual
%defattr(-,root,root)
%doc docs/manual/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Sat Mar 01 2003 David Walluck <david@anti-microsoft.org> 1.3.1-1jpp
- 1.3.1
- required by netbeans 3.4.1
